package cn.reghao.tnb.account.api.iface;

import cn.reghao.tnb.account.api.dto.*;

import java.util.List;

/**
 * @author reghao
 * @date 2021-11-12 17:32:01
 */
public interface AccountQuery {
    AuthedAccount getAuthedAccount(int type, String sessId);
    Long getUserId(String username);
    AccountInfo getAccountInfo(long userId);
    AccountAvatar getAccountAvatar(long userId);
    List<AccountInfo> getAccountInfos(List<Long> userIds);
    AccountInfo getByMobile(String mobile);
    AccountInfo getByUsername(String username);
    @Deprecated
    Long createCrawledAccount(CrawledUser crawledUser);
    void updateAvatar(long userId, String avatarUrl);
    String getUserIdStr(long userIdLong);
    long getUserIdLong(String userIdStr);
}
